from django.shortcuts import render
from django.http import HttpResponse, HttpResponseRedirect
from django.shortcuts import redirect
from django.conf import settings
from librairie import sun
from datetime import  datetime
import re
import glob

global MODE_AUTOMATIQUE
MODE_AUTOMATIQUE = True
global RADIO_SENS
RADIO_SENS = 1
global RADIO_LISTE_VOLET
RADIO_LISTE_VOLET = 1
global ADRESSE_FICHIER_CONFIG
ADRESSE_FICHIER_CONFIG = ".\commande_volets\config\*_config.txt"

Version = "Volets Cordeliers raspi"

# Create your views here.
def volets(request):
    if request.user.is_authenticated:
        s = sun(lat=45.50, long=3.13)
        liste_donnnee = str(datetime.today()) + " " + str(s.sunrise()) + " " + str(s.sunset())
        pattern = '[-:\s]'
        liste_separe = re.split(pattern, liste_donnnee)
        if MODE_AUTOMATIQUE:
            text_mode = "Automatique"
        else:
            text_mode = "Manuel"
        # ligne donnant l'heure actuelle et les heures de lever et coucher du soleil
        intro = text_mode + " " + liste_separe[0] + "/" + liste_separe[1] + "/" + liste_separe[2] + " " + liste_separe[3] + ":" + liste_separe[4] + " /\ " + liste_separe[6] + ":" + liste_separe[7] + " \/ " + liste_separe[9] + ":" + liste_separe[10]
        # liste des volets
        liste_des_volets = ["tous"]
        for fichier in glob.glob(ADRESSE_FICHIER_CONFIG):
            with open(fichier, 'r', encoding='utf-8') as input_file:
                for ligne in input_file:
                    pattern = '[\s]'
                    liste_separe = re.split(pattern, ligne)
                    liste_des_volets.append(liste_separe[0])
        # selection du sens par defaut
        if RADIO_SENS == 0:
            coche = [" ", "checked"]
        else:
            coche = ["checked", " "]

        # selection du volet par defaut
        selection_volet=[]
        for count,chaque_volet in enumerate(liste_des_volets):
            if RADIO_LISTE_VOLET == count:
                selection_volet.append("checked")
            else:
                selection_volet.append(" ")
        liste_volets = {"liste":liste_des_volets,  "heures": intro, "version": Version, "Checked_descente":coche,"Checked_volet":selection_volet}
        return render(request, 'volets/volets.html', {'liste_volets': liste_volets})
    else:
        # return render(request,'registration/login')
        return redirect('%s?next=%s' % (settings.LOGIN_URL, request.path))
